# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  imports =
    [
      # Include the results of the hardware scan.
      ./hardware-configuration.nix

      ./roles/admin.nix
      ./roles/dev.nix
      ./roles/base.nix
      ./roles/desktop.nix
      ./roles/wireless.nix
      ./roles/vpn.nix
    ];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.kernelPackages = pkgs.linuxPackages_latest;

  networking.hostName = "raven";
  networking.hostId = "e3a397c5";

  networking.useDHCP = false;
  networking.interfaces.wlo1.useDHCP = true;
  networking.resolvconf.useLocalResolver = true;

  i18n.defaultLocale = "en_US.UTF-8";
  time.timeZone = "Europe/Berlin";

  services.openssh.enable = true;
  networking.firewall.enable = true;

  system.stateVersion = "20.03"; # We can stay here
}

